Index: issuevalue/pom.xml
===================================================================
--- issuevalue/pom.xml	(revision 33)
+++ issuevalue/pom.xml	(revision 34)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb</groupId>
 	<artifactId>issuevalue</artifactId>
-	<version>2.0.0</version> <!-- must equal ${geniusweb.version} -->
+	<version>2.0.1</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.12.3</jackson-2-version>
-		<geniusweb.version>2.0.0</geniusweb.version>
+		<geniusweb.version>2.0.1</geniusweb.version>
 	</properties>
 
@@ -78,6 +78,6 @@
 		<dependency>
 			<groupId>org.mockito</groupId>
-			<artifactId>mockito-all</artifactId>
-			<version>1.9.5</version>
+			<artifactId>mockito-core</artifactId>
+			<version>3.11.2</version>
 			<scope>test</scope>
 		</dependency>
@@ -113,4 +113,8 @@
 			<id>central</id>
 			<url>https://repo1.maven.org/maven2</url>
+		</pluginRepository>
+		<pluginRepository>
+			<id>artifactory.ewi.tudelft.nl</id>
+			<url>https://artifactory.ewi.tudelft.nl/artifactory/libs-release</url>
 		</pluginRepository>
 	</pluginRepositories>
Index: issuevalue/src/test/java/geniusweb/issuevalue/DiscreteValueSetTest.java
===================================================================
--- issuevalue/src/test/java/geniusweb/issuevalue/DiscreteValueSetTest.java	(revision 33)
+++ issuevalue/src/test/java/geniusweb/issuevalue/DiscreteValueSetTest.java	(revision 34)
@@ -39,8 +39,8 @@
 	// parsed as discrete values.
 	private static final String discretenumbers = "{\"values\":[\"0\",\"1\"]}";
+	private static final ObjectMapper jackson = new ObjectMapper();
 
 	@Test
 	public void testSerialize() throws JsonProcessingException {
-		ObjectMapper jackson = new ObjectMapper();
 
 		String json = jackson.writeValueAsString(set);
@@ -52,5 +52,4 @@
 	public void testDeserialize()
 			throws JsonParseException, JsonMappingException, IOException {
-		ObjectMapper jackson = new ObjectMapper();
 		DiscreteValueSet p = jackson.readValue(asString,
 				DiscreteValueSet.class);
@@ -62,5 +61,4 @@
 	public void testDeserializeNumberValues()
 			throws JsonParseException, JsonMappingException, IOException {
-		ObjectMapper jackson = new ObjectMapper();
 		DiscreteValueSet p = jackson.readValue(discretenumbers,
 				DiscreteValueSet.class);
Index: issuevalue/src/test/java/geniusweb/issuevalue/DiscreteValueTest.java
===================================================================
--- issuevalue/src/test/java/geniusweb/issuevalue/DiscreteValueTest.java	(revision 33)
+++ issuevalue/src/test/java/geniusweb/issuevalue/DiscreteValueTest.java	(revision 34)
@@ -13,17 +13,15 @@
 import com.fasterxml.jackson.databind.ObjectMapper;
 
-import geniusweb.issuevalue.DiscreteValue;
-import geniusweb.issuevalue.Value;
 import tudelft.utilities.junit.GeneralTests;
 
 public class DiscreteValueTest extends GeneralTests<DiscreteValue> {
-	private DiscreteValue value = new DiscreteValue("a");
-	private DiscreteValue value1 = new DiscreteValue("a");
-	private DiscreteValue valueb = new DiscreteValue("b");
-	private String serialized = "\"a\"";
+	private final DiscreteValue value = new DiscreteValue("a");
+	private final DiscreteValue value1 = new DiscreteValue("a");
+	private final DiscreteValue valueb = new DiscreteValue("b");
+	private final String serialized = "\"a\"";
+	private static final ObjectMapper jackson = new ObjectMapper();
 
 	@Test
 	public void testSerialize() throws JsonProcessingException {
-		ObjectMapper jackson = new ObjectMapper();
 		assertEquals(serialized, jackson.writeValueAsString(value));
 	}
@@ -31,5 +29,4 @@
 	@Test
 	public void testDeserialize() throws IOException {
-		ObjectMapper jackson = new ObjectMapper();
 		assertEquals(value, jackson.readValue(serialized, DiscreteValue.class));
 	}
@@ -37,5 +34,4 @@
 	@Test
 	public void testDeserializeFromValue() throws IOException {
-		ObjectMapper jackson = new ObjectMapper();
 		assertEquals(value, jackson.readValue(serialized, Value.class));
 	}
@@ -43,5 +39,4 @@
 	@Override
 	public List<List<DiscreteValue>> getGeneralTestData() {
-
 		List<List<DiscreteValue>> list = new LinkedList<>();
 		list.add(Arrays.asList(value, value1));
Index: issuevalue/src/test/java/geniusweb/issuevalue/NumberValueTest.java
===================================================================
--- issuevalue/src/test/java/geniusweb/issuevalue/NumberValueTest.java	(revision 33)
+++ issuevalue/src/test/java/geniusweb/issuevalue/NumberValueTest.java	(revision 34)
@@ -7,5 +7,4 @@
 import java.util.ArrayList;
 import java.util.Arrays;
-import java.util.LinkedList;
 import java.util.List;
 
@@ -20,18 +19,17 @@
 
 public class NumberValueTest extends GeneralTests<NumberValue> {
-	private NumberValue value = new NumberValue("12.31");
-	private NumberValue value1 = new NumberValue("12.31");
-	private NumberValue valueb = new NumberValue("12.310000000000000001");
-	private String serialized = "12.31";
+	private final NumberValue value = new NumberValue("12.31");
+	private final NumberValue value1 = new NumberValue("12.31");
+	private final NumberValue valueb = new NumberValue("12.310000000000000001");
+	private final String serialized = "12.31";
 
-	private String bigserialized = "8748703924870439218876954320948372058";
-	private NumberValue bigvalue = new NumberValue(bigserialized);
+	private final String bigserialized = "8748703924870439218876954320948372058";
+	private final NumberValue bigvalue = new NumberValue(bigserialized);
+	private static final ObjectMapper jackson = new ObjectMapper();
 
 	@Override
 	public List<List<NumberValue>> getGeneralTestData() {
-		List<List<NumberValue>> list = new LinkedList<>();
-		list.add(Arrays.asList(value, value1));
-		list.add(Arrays.asList(valueb));
-		return list;
+		return Arrays.asList(Arrays.asList(value, value1),
+				Arrays.asList(valueb));
 	}
 
@@ -43,5 +41,4 @@
 	@Test
 	public void testSerialize() throws JsonProcessingException {
-		ObjectMapper jackson = new ObjectMapper();
 		assertEquals(serialized, jackson.writeValueAsString(value));
 	}
@@ -49,5 +46,4 @@
 	@Test
 	public void testDeserialize() throws IOException {
-		ObjectMapper jackson = new ObjectMapper();
 		assertEquals(value, jackson.readValue(serialized, NumberValue.class));
 
@@ -56,5 +52,4 @@
 	@Test
 	public void testDeserializeFromValue() throws IOException {
-		ObjectMapper jackson = new ObjectMapper();
 		assertEquals(value, jackson.readValue(serialized, Value.class));
 
@@ -63,5 +58,4 @@
 	@Test
 	public void testBigSerialize() throws JsonProcessingException {
-		ObjectMapper jackson = new ObjectMapper();
 		assertEquals(bigserialized, jackson.writeValueAsString(bigvalue));
 	}
@@ -69,5 +63,4 @@
 	@Test
 	public void testBigDeserialize() throws IOException {
-		ObjectMapper jackson = new ObjectMapper();
 		assertEquals(bigvalue,
 				jackson.readValue(bigserialized, NumberValue.class));
@@ -77,5 +70,4 @@
 	@Test
 	public void testSerializeShorts() throws IOException {
-		ObjectMapper jackson = new ObjectMapper();
 		System.out.println(
 				jackson.writeValueAsString(new short[] { 1, 2, 3, 4, 5 }));
@@ -85,5 +77,4 @@
 	@Test
 	public void testDeserializeShorts() throws IOException {
-		ObjectMapper jackson = new ObjectMapper();
 		@SuppressWarnings("unchecked")
 		ArrayList<Integer> list = jackson.readValue("[1,2,3,4,5]",
@@ -96,5 +87,4 @@
 	@Test
 	public void testDeserializeMix() throws IOException {
-		ObjectMapper jackson = new ObjectMapper();
 		@SuppressWarnings("unchecked")
 		ArrayList<Object> list = jackson.readValue("[\"short\",1,2,3,4,5]",
@@ -112,5 +102,4 @@
 	public void testDeserializePlainNumber()
 			throws JsonParseException, JsonMappingException, IOException {
-		ObjectMapper jackson = new ObjectMapper();
 		String valstr = "483958743698732691487326987569213874694328974329874328947320984372498327493827432987231874681273648127";
 		BigDecimal val = jackson.readValue(valstr, BigDecimal.class);
@@ -120,5 +109,4 @@
 	@Test
 	public void testNumberBlab() throws IOException {
-		ObjectMapper jackson = new ObjectMapper();
 		// jackson.enable(DeserializationFeature.USE_BIG_DECIMAL_FOR_FLOATS);
 		assertEquals(value, jackson.readValue("12.31", Value.class));
@@ -129,5 +117,4 @@
 	public void testDeserializeScientificNotation()
 			throws JsonParseException, JsonMappingException, IOException {
-		ObjectMapper jackson = new ObjectMapper();
 		String valstr = "9E+2";
 		Value val = jackson.readValue(valstr, Value.class);
